@import "./components/reset";

.body {
    height: 100vh;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    background: black;
    background: linear-gradient(#e6e5e5, #5e5d5d);
}

.calculator {
    font-family: 'Roboto';
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: 375px;
    background: linear-gradient(#5e5d5d, #e6e5e5);
    height: 100vh;

    @media (min-width: 768px) {
        width: 768px;
    }

    @media (min-width: 949px) {
        width: 375px;
    }

    &__menu {
        height: 50px;
        background: #494848;
        width: 100%;
        padding: 10px;
    }

    &___burgermenu {
        
    }

    &__title {
        text-align: center;
        margin: 80px 0px 100px;
        font-size: 25px;
        color: white;
        ;

        @media (min-width: 768px) {
            margin: 0px 0px 0px;
            width: 768px;
        }
        
        @media (min-width: 949px) {
            margin: 80px 0px 100px;
        }
    }

    &__result {
        color: #e6e5e5;
        width: 320px;
        background: #ba8a8a;
        padding: 10px;
        border-radius: 15px 15px 0px 0px;
        border: none;

        @media (min-width: 768px) {
            width: 616px;

        }

        @media (min-width: 949px) {
            width: 320px;
        }
    }

    &__resultNumber {
        font-size: 50px;
        text-align: end;
    }

    &__number {
        background: #aea2a2;
        width: 330px;
        display: flex;
        flex-wrap: wrap;
        border-radius: 0px 0px 10px 10px;
        padding: 20px 5px 40px;
        margin-bottom: 50px;
        justify-content: space-around;
        height: 350px;

        @media (min-width: 768px) {
            width: 626px;
            height: 650px;
            border-radius: 0px 0px 10% 10%;
        }

        @media (min-width: 949px) {
            width: 330px;
            height: 400px;
            border-radius: 0px 0px 10px 10px;
        }
    }

    &__cursor {
        width: 75px;
        height: 55px;
        background: rgb(19, 18, 18);
        color: white;
        border: none;
        border-radius: 5px;
        margin: 10px 0px;
        font-size: 20px;
        cursor: pointer;

        @media (min-width: 768px) {
            width: 126px;
            height: 126px;
            border-radius: 50%;
        }

        @media (min-width: 949px) {
            width: 75px;
            height: 55px;
            border-radius: 5px;
        }
    }

    &__equal {
        background: #2e72ea;
        height: 40px;
        width: 155px;

        @media (min-width: 768px) {
            width: 330px;
            height: 45px;
            border-radius: 5px;
        }

        @media (min-width: 949px) {
            width: 155px;
            height: 40px;
        }
    }

    &__grey {
        background: #909090;
    }

    &__tva {
        background: #d20909;
        
    }

    &__clear {
        background: #d12d2d;
    }
}